Skip to main content
GET
/
v1
/
payouts
List
curl --request GET \
  --url https://api.cadanapay.com/v1/payouts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/payouts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/payouts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "d0137ede-7df1-4a54-8206-b3ab7b03876f",
      "beneficiaryId": "c871b333-e129-409c-aabd-7cfb55a967cc",
      "quoteId": "d35d2bd6-188b-4e82-9a16-71442dad7375",
      "reference": "payout-123",
      "amount": {
        "amount": 100000,
        "currency": "COP"
      },
      "sourceAmount": {
        "amount": 100000,
        "currency": "COP"
      },
      "feeAmount": {
        "amount": 100000,
        "currency": "COP"
      },
      "fxRate": "4059.318355",
      "status": "succeeded",
      "createdTimestamp": 1748478276,
      "lastUpdatedTimestamp": 1748478276
    }
  ],
  "node": {
    "previous": null,
    "next": "ca_123"
  }
}
{
  "code": "invalid_request_body",
  "message": "The request body provided is not valid",
  "params": {
    "field": "Value is invalid."
  }
}
{
  "code": "internal_error",
  "message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Query Parameters

reference
string

Client reference to filter payouts

status
enum<string>

Filter by payout status

Available options:
initiated,
processing,
succeeded,
failed
startDate
string<date>

Filter payouts created on or after this date (ISO 8601)

endDate
string<date>

Filter payouts created on or before this date (ISO 8601)

order
enum<string>
default:desc

Sort order by creation date

Available options:
asc,
desc
cursor
string

Pagination cursor returned from a previous request

limit
integer
default:20

Maximum number of results to return

format
enum<string>

Response format. When set to csv, returns all matching payouts as a CSV file download. Requires startDate and endDate.

Available options:
csv

Response

OK

data
object[]
node
object

Node pagination